#ifndef EXAMPLE_H_
#define EXAMPLE_H_

void calculate_distribution(int N, double* mean, double* stdev);
int get_array(int C, int a[]);

#include <stdio.h>
#include <stdlib.h>

static int N, cur;

int get_array(int C, int a[]) {
  if (C < 0 || C > N || cur + C > N) return 0;
  int i;
  for (i = 0; i < C; i++) scanf("%d", a + i);
  cur += C;
  return 1;
}

int main() {
  int T;
  scanf("%d", &T);
  while (T--) {
    scanf("%d", &N);
    cur = 0;
    double mean, stdev;
    calculate_distribution(N, &mean, &stdev);
    printf("%.6lf %.6lf\n", mean, stdev);
  }
}

#endif  /* EXAMPLE_H_ */
